2019-10-18 11:35 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0001166FSSCPgraphicspublic2012-01-09 13:06
ReporterTolwyn 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.9 
Summary0001166: hud_gauges.tbl - part of the wepon energy display is not moved to defined position
DescriptionWell, as you know, when the amount of energy available to weapons goes below 25% small numbers will appear beneath the weapons energy gauge, which display the remaining amount of energy. Oddly enough those numbers are displayed at the original position of the gauge, not at the new position defined in the hud_gauges.tbl
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007242

taylor (administrator)

The text part is separate, and it's position can't be specified in hud_guages.tbl. I was thinking about automatically positioning it based on the current energy guage position, but that's too much of a bad hack.

I guess that the only appropriate thing to do is just to add it to hud_guages.tbl. I'll try and take of that tonight so it will be available in my next test build for you to play around with.

Are there any other guages (or portions of guages) that need to be added? No promises on anything except the weapon text, but if you give me a list of what you need the most then I'll see what I can do about those too.

~0007243

Tolwyn (reporter)

at the moment nothing, although I would like to have more freedom in customizing the hud. But that can wait after 3.6.9.

~0007244

taylor (administrator)

Ok. Got the energy text fixed at least. I'll try a get you a test build shortly to try out (might fall asleep first though ;)).

I think that Backslash was going to work on extending hud_gauges.tbl post-3.6.9. It's really a shame that it was abandonded in favor of Lua scripting instead, since it just isn't the same thing. Hopefully Backslash (and I'll probably help out a little too) will be able to get hud_gauges.tbl really useful and able to give the HUD some true customization for 3.7.

~0007246

taylor (administrator)

New build: http://icculus.org/~taylor/fso/willrobinson/hoopla.rar
(I think that I'm posting that link everywhere. ;))


The new option in question is called "$Weapons Energy Text:".

~0007258

Tolwyn (reporter)

excellent, thanks!

~0007275

taylor (administrator)

Fixered.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2006-12-05 16:48 Tolwyn New Issue
2006-12-05 16:49 Tolwyn File Added: screen0024.jpg
2006-12-05 22:29 taylor Note Added: 0007242
2006-12-05 22:29 taylor Status new => assigned
2006-12-05 22:29 taylor Assigned To => taylor
2006-12-06 02:26 Tolwyn Note Added: 0007243
2006-12-06 03:00 taylor Note Added: 0007244
2006-12-06 03:40 taylor Note Added: 0007246
2006-12-06 06:15 Tolwyn Note Added: 0007258
2006-12-07 15:46 taylor Status assigned => resolved
2006-12-07 15:46 taylor Fixed in Version => 3.6.9
2006-12-07 15:46 taylor Resolution open => fixed
2006-12-07 15:46 taylor Note Added: 0007275
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 fs2_open_3_6_9 r3787
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn fs2_open_3_6_9 r3787
+Issue History